// Define the register names
#define DEVICEID 0x00
#define CHIPID  0x01
#define POWERCFG  0x02
#define CHANNEL  0x03
#define SYSCONFIG1  0x04
#define SYSCONFIG2  0x05
#define SYSCONFIG3 0x06
#define TEST1 0x07
#define TEST2 0x08
#define BOOTCONFIG 0x09
#define STATUSRSSI  0x0A
#define READCHAN  0x0B
#define RDSA  0x0C
#define RDSB  0x0D
#define RDSC  0x0E
#define RDSD  0x0F

#define SI4703 0x10 		// Adresse I2C du SI4703
#define I2C_FAIL_MAX  10	// Nombre essai I2C avant timeout
#define FAIL  0
#define SUCCESS  1
 
#define SEEK_DOWN  0 		// Direction used for seeking  DOWN
#define SEEK_UP  1			// Direction used for seeking = UP

#define MESS_BASIC_TUNING	0	// Basic tuning
#define MESS_PITEM_NUMBER	1	// Program item number
#define MESS_RADIO_TEXT		2	// Radio text
#define MESS_APP_ID_ODA		3	// Application identification
#define MESS_CLOCK_TIME		4	// Date and time (4A only, not 4B !!!)

#define IN_EUROPE 1 // <- europe power !
 
//Register 0x02 - POWERCFG
#define SMUTE  		15
#define DMUTE  		14
#define MONOSELECT	13		// 0 = Stereo (default) 1 = Force mono
#define RDSMODE		11		// 0 = Standard (default) 1 = Verbose.
#define SKMODE  	10		// 0 wrap, 1 stop if upper or lower limit reach
#define SEEKUP  	9		// 0:seek donw, 1:seek up
#define SEEK  		8		// 0:disable, 1: enable
#define PWR_DISABLE	6		// Reset,powerup,powerdown
#define PWR_ENABLE	0		// Reset,powerup,powerdown
//Register 0x03 - CHANNEL
//14:10 reserved and 9:0 to select channel
#define TUNE  15
 
//Register 0x04 - SYSCONFIG1
#define RDSIEN	15			// RDS Interrupt Enable.
#define STCIEN  14			// Seek/Tune Complete Interrupt Enable
#define RDS  	12			// RDS enable				
#define DE  	11			// de-emphasis
#define	AGC		10		// AGC enable
 
//Register 0x05 - SYSCONFIG2
#define SPACE1  5
#define SPACE0  4
 
//Register 0x0A - STATUSRSSI
#define RDSR  15
#define STC  14
#define SFBL  13
#define AFCRL  12
#define RDSS  11
#define STEREO  8

// Station named Status
#define SN_RESET	0
#define SN_DECODING	1
#define SN_READY	2
#define SN_READ		3
#define SN_ERROR	10
#define SN_NORDS	99

// Radiotext Status
#define RT_RESET	0
#define RT_DECODING	1
#define RT_READY	2
#define RT_READ		3
#define RT_ERROR	10
#define RT_NORDS	99
#define RT_RST_FULL		0
#define RT_RST_PARTIAL	1

