//----------------------------------------
// Tuning of the output antenna coil
// perhaps also switch between LW/MW coils
//----------------------------------------
void setTuningAntennaCoil(void) {
}

//----------------------------------------
// Change current frequency of transmitter
// after some delay
//----------------------------------------
void changeAntennaTuningOnDelay(void) {
	if (timeAntennaTuningChange) {
		if (timeAntennaTuningChange+DELAY_ANTENNA_CHANGE < millis()) {	// If time elapsed
			timeAntennaTuningChange=0;									// no change to do anymore (until real change with encoders)
			setTuningAntennaCoil();
		}
	}
}

//------------------------------------------------------
// Coil selection
// depend on WAVE used
// switch is done by short-circuiting one of the 2 coils
// 0 : 2 coil in serie
// 1 : coil 2 short-circuit (coil 1 used)
// 2 : coil 1 short-circuit (coil 2 used)
//------------------------------------------------------
void setCoil(void) {
	switch(currentAntennaCoil) {
		// LW + MW
		// no short-circuit on the 2 coils
		case 0 : 
			digitalWrite(PIN_COIL1,LOW);
			digitalWrite(PIN_COIL2,LOW);
			break;
		// Only LW (MW coil short-circuit)
		case 1 :
			digitalWrite(PIN_COIL1,HIGH);
			digitalWrite(PIN_COIL2,LOW);
			break;
		// Only MW (LW coil short-circuit)
		case 2 :
			digitalWrite(PIN_COIL1,LOW);
			digitalWrite(PIN_COIL2,HIGH);
			break;
	}
}

//----------------------------------------
// Change coil selection on the antenna
// after some delay
//----------------------------------------
void changeCoilOnDelay(void) {
	if (timeCoilChange) {
		if (timeCoilChange+DELAY_COIL_CHANGE < millis()) {		// If time elapsed
			timeCoilChange=0;									// no change to do anymore (until real change with encoders)
			setCoil();
		}
	}
}
